# Destination

Struct in [BasicBlock](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock.md)

Inherits from `System.ValueType`

## Summary

A destination represents a [BasicBlock](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock.md) or node that may be run, following the execution of a [BasicBlock](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock.md) .

```csharp
public struct Destination
```

## Remarks

Destination objects represent links between blocks, or between blocks and nodes.

## Enums

| Name                                                                                                                                                                   | Description                |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------- |
| [DestinationType](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination/yarn.compiler.basicblock.destination.destinationtype.md) | The type of a Destination. |

## Properties

| Name                                                                                                                                                       | Description                                                                  |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| [Block](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination/yarn.compiler.basicblock.destination.block.md)         | The block that this destination refers to.                                   |
| [Condition](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination/yarn.compiler.basicblock.destination.condition.md) | The condition that causes this destination to be reached.                    |
| [NodeName](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination/yarn.compiler.basicblock.destination.nodename.md)   | The name of the node that this destination refers to.                        |
| [Type](/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination/yarn.compiler.basicblock.destination.type.md)           | Gets the Destination's type - whether the destination is a block, or a node. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.destination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
